html,
body {
  scroll-behavior: smooth;
  width: 100%;
  height: 100%;
  overflow-y: hidden;
}

body {
  text-align: left;
  padding: 0;
  margin: 0;
  font-size: 14px;
  font-family: "microsoft yahei";
  color: #333;
  background: #fff;
  box-sizing: border-box;
  overflow-x: auto;
  min-width: 1080px;
}

span,
div,
dl,
dt,
dd,
ul,
ol,
li,
h1,
h2,
h3,
h4,
h5,
h6,
p {
  padding: 0;
  margin: 0;
}

a:link {
  color: #333;
  text-decoration: none;
}

.loginBg {
  display: flex;
  align-items: center;
  justify-content: center;
}

.loginBg {
  width: 100vw;
  height: 100vh;
  position: absolute;
  top: 0px;
  left: 0px;
  pointer-events: none;
}

.loginForm {
  width: 420px;
  background: #fff;
  text-align: center;
  height: 542px;
  border-radius: 10px;
  position: relative;
}

.login_title {
  padding: 15px 10px;
  display: flex;
  justify-content: space-around;
  border-bottom: 1px solid #f4f4f4;
  font-size: 16px;
  margin-bottom: 30px;
}

.bigTitle {
  margin: 30px 0;
  font-size: 20px;
  color: #3a60b2;
  padding-top: 20px;
}

.login_title span {
  cursor: pointer;
}

.login_title .active {
  /* color: #0077f5; */
  color: #3a60b2;
}

.linkBlueFont {
  cursor: pointer;
  color: #3a60b2 !important;
}

.linkBlueFont:hover {
  color: red !important;
}

.input {
  height: 40px;
  line-height: 40px;
  width: 333px;
  margin-bottom: 20px;
  border-radius: 5px;
  padding: 0 10px;
  border: 1px solid rgb(220, 222, 230);
}

input:focus {
  outline: 2px solid #66b1ff;
}

input[type="checkbox"]:focus {
  outline: none;
}

.passwordLogin,
.yzmLogin {
  /* margin: 20px auto; */
  text-align: center;
}

.yzmLogin {
  display: none;
}

.tpYzmDiv {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.yzmImg {
  width: 80px;
  height: 38px;
  margin-left: 50px;
  border: none;
  margin-bottom: 20px;
  right: 50px;
  position: absolute;
  cursor: pointer;
  top: 1px;
}

.loginBtn {
  border-color: #0077f5;
  background: #0077f5;
  padding: 9px 15px;
  border-radius: 3px;
  cursor: pointer;
  border: 1px solid #dcdfe6;
  color: #fff;
  padding: 12px 20px;
  font-size: 14px;
  width: 335px;
  margin: 20px 0 20px 0;
}

.loginBtn:hover {
  background: #66b1ff;
  border-color: #66b1ff;
  color: #fff;
}

.isWechat {
  display: none;
}

.goback {
  cursor: pointer;
  font-size: 15px;
  margin-top: 20px;
  text-align: left;
  display: inline-flex;
  margin-left: -310px;
  align-items: center;
}

.goback:hover,
.hoverRed:hover,
.sendYZM:hover {
  color: red;
}

.goback:hover .icon {
  fill: red;
}

.hoverRed {
  cursor: pointer;
}

.reSendYZM,
.disReSendYZM {
  display: none;
}

.registerForm,
.fogetForm {
  width: 420px;
  background: #fff;
  text-align: center;
  height: 490px;
  display: none;
  border-radius: 10px;
  position: relative;
}

.registerTitle {
  font-size: 18px;
  margin-bottom: 30px;
  padding-top: 37px;
}

.setPassword,
.setName {
  display: none;
  position: relative;
}

.register_goback {
  position: absolute;
  left: 44px;
  top: 41px;
  cursor: pointer;
}

.showRegisterInput {
  display: block !important;
}

.register_goback:hover svg {
  fill: red;
}

.registerAndLogin {
  display: none;
}

.disEye,
.canEye {
  position: absolute;
  right: 51px;
  top: 0px;
  height: 41px;
  padding-top: 7px;
  cursor: pointer;
}

.disEye {
  display: none;
  top: -2px;
  right: 49px;
}

.error {
  color: red;
  font-size: 13px;
  text-align: left;
  margin-left: 42px;
  margin-top: 5px;
  height: 20px;
}

.bbtoast {
  position: fixed;
  left: 50%;
  top: 50%;
  background: rgba(0, 0, 0, 0.51);
  padding: 15px 20px;
  border-radius: 5px;
  transform: translate(-50%, -50%);
  color: #fff;
  font-size: 16px;
  z-index: 11000000;
}

/* 加载框 */
.cus-loading {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99999;
}

.loadcontainer {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.spinner {
  width: 36px;
  height: 36px;
  position: relative;
}

.container1 > div,
.container2 > div,
.container3 > div {
  width: 8px;
  height: 8px;
  background-color: #1aa3fd;

  border-radius: 100%;
  position: absolute;
  -webkit-animation: bouncedelay 1.2s infinite ease-in-out;
  animation: bouncedelay 1.2s infinite ease-in-out;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

.spinner .spinner-container {
  position: absolute;
  width: 100%;
  height: 100%;
}

.container2 {
  -webkit-transform: rotateZ(45deg);
  transform: rotateZ(45deg);
}

.container3 {
  -webkit-transform: rotateZ(90deg);
  transform: rotateZ(90deg);
}

.circle1 {
  top: 0;
  left: 0;
}

.circle2 {
  top: 0;
  right: 0;
}

.circle3 {
  right: 0;
  bottom: 0;
}

.circle4 {
  left: 0;
  bottom: 0;
}

.container2 .circle1 {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s;
}

.container3 .circle1 {
  -webkit-animation-delay: -1s;
  animation-delay: -1s;
}

.container1 .circle2 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.container2 .circle2 {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
}

.container3 .circle2 {
  -webkit-animation-delay: -0.7s;
  animation-delay: -0.7s;
}

.container1 .circle3 {
  -webkit-animation-delay: -0.6s;
  animation-delay: -0.6s;
}

.container2 .circle3 {
  -webkit-animation-delay: -0.5s;
  animation-delay: -0.5s;
}

.container3 .circle3 {
  -webkit-animation-delay: -0.4s;
  animation-delay: -0.4s;
}

.container1 .circle4 {
  -webkit-animation-delay: -0.3s;
  animation-delay: -0.3s;
}

.container2 .circle4 {
  -webkit-animation-delay: -0.2s;
  animation-delay: -0.2s;
}

.container3 .circle4 {
  -webkit-animation-delay: -0.1s;
  animation-delay: -0.1s;
}

@-webkit-keyframes bouncedelay {
  0%,
  80%,
  100% {
    -webkit-transform: scale(0);
  }

  40% {
    -webkit-transform: scale(1);
  }
}

@keyframes bouncedelay {
  0%,
  80%,
  100% {
    transform: scale(0);
    -webkit-transform: scale(0);
  }

  40% {
    transform: scale(1);
    -webkit-transform: scale(1);
  }
}

.blueFont {
  color: #3a60b2;
}

a.goIndexPage {
  top: 4px;
  position: absolute;
  cursor: pointer;
  /* background: none;
        border: 1px solid white;
        display: inline-block;
        padding: 5px 8px;
        color: white;
        background: none; */
  /* font-size: 13px; */
  /* border-radius: 4px; */
}

svg:hover path {
  fill: red;
}

.bigWhiteTitle {
  color: white;
  font-size: 22px;
  text-align: center;
  margin-bottom: 35px;
}

/* 弹窗 */
.winDialog {
  position: fixed;
  z-index: 299;
  border: 1px solid #eee;
  width: 600px;
  height: 500px;
  background-color: #fff;
  border-radius: 3px 3px 2px 2px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.modal-title {
  width: calc(100% - 30px);
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  text-align: left;
  font-size: 16px;
  color: #737272;
}

.modal-header {
  padding: 10px;
  box-sizing: border-box;
  border-bottom: 1px solid #eee;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.modal-header .close {
  font-size: 24px;
  cursor: pointer;
}

.modal-content {
  padding: 20px;
}

html::-webkit-scrollbar {
  width: 0px !important;
  height: 0px !important;
}

/* 昵称弹框 */
.nickname_mask_layer {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 999999;
  background: rgba(0, 0, 0, 0.6);
  display: none;
}

.nickName_box {
  width: 400px;
  height: 320px;
  background: #fff;
  border-radius: 10px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 50px 30px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.nickName_btn {
  width: 140px;
  height: 40px;
  text-align: center;
  line-height: 40px;
  background: #3a60b2;
  color: #fff;
  border-radius: 5px;
  border: none;
  outline: none;
  cursor: pointer;
  margin-top: 20px;
}
